> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.sesametime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a comment for a thread or for an entity reference

> Create a comment for a thread or for an entity reference



## OpenAPI

````yaml POST /discussion/v1/comments
openapi: 3.0.0
info:
  description: ''
  version: 3.0.0
  title: Sesame Public API
servers:
  - url: https://api-{region}.sesametime.com
    variables:
      region:
        default: eu1
security: []
tags: []
paths:
  /discussion/v1/comments:
    post:
      tags:
        - Comments
      summary: Create a comment for a thread or for an entity reference
      description: Create a comment for a thread or for an entity reference
      operationId: CreateComment
      requestBody:
        description: Comment object that needs to be created
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                authorId:
                  type: string
                  format: uuid
                  description: The id of the employee who creates the comment
                comment:
                  type: string
                  description: The text of the comment
                commentId:
                  type: string
                  format: uuid
                  description: >-
                    The id for the comment, if not provided, it will be
                    generated automatically
                entityReference:
                  type: object
                  properties:
                    id:
                      type: string
                      format: uuid
                    type:
                      type: string
                      example: planned_task
              required:
                - authorId
                - comment
                - entityReference
      responses:
        '200':
          description: Object
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    format: uuid
      security:
        - Bearer: []
components:
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````